SHEBANG
# Copyright (C) @BABOLO  2010 http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon-ZendOptimizer.m4,v 1.1 2010/08/05 13:04:39 babolo Exp $

. ${JAILUP_CONF}
extdir="${PREFIX}/lib/php/20060613"

JNTROSTUP(apache,-ZendOptimizer,apache-php-5dnl
,dnl
# jailup ${inclass} <dir>
#     where dir relative to ${JAILRODIR}
# installed ports/lang/php5 and ports/devel/ZendOptimizer useddnl
,TESTADMINdnl
)

jdir="${1}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"

${mkdir} "${main_dir}" "${conf_dir}"
${up_mdir} "${main_dir}" "${MTREE}"
${up_genlist} lib/ "${MTREE}" | ${up_shlib} "${main_dir}/lib"
${up_data} "${main_dir}/libexec/php/" "${PREFIX}/lib/php/20060613/" <<- EOF
	Optimizer/php-5.2.x/ZendOptimizer.so
	Optimizer_TS/php-5.2.x/ZendOptimizer.so
	ZendExtensionManager.so
	ZendExtensionManager_TS.so
EOF

if  ${grep} -qaE '\[Zend]' "${conf_dir}/php.ini"\
 && ${grep} -qaE 'zend_optimizer.optimization_level[ 	]*=' "${conf_dir}/php.ini"\
 && ${grep} -qaE 'zend_extension_manager.optimizer[ 	]*=[ 	]*"/libexec/php/Optimizer"' "${conf_dir}/php.ini"\
 && ${grep} -qaE 'zend_extension_manager.optimizer_ts[ 	]*=[ 	]*"/libexec/php/Optimizer_TS"' "${conf_dir}/php.ini"\
 && ${grep} -qaE 'zend_extension[ 	]*=[ 	]*"/libexec/php/ZendExtensionManager.so"' "${conf_dir}/php.ini"\
 && ${grep} -qaE 'zend_extension_ts[ 	]*=[ 	]*"/libexec/php/ZendExtensionManager_TS.so"' "${conf_dir}/php.ini"
then
else
    ${cat} <<- EOF >> "${conf_dir}/php.ini"
	
	[Zend]
	zend_optimizer.optimization_level=15
	zend_extension_manager.optimizer="/libexec/php/Optimizer"
	zend_extension_manager.optimizer_ts="/libexec/php/Optimizer_TS"
	zend_extension="/libexec/php/ZendExtensionManager.so"
	zend_extension_ts="/libexec/php/ZendExtensionManager_TS.so"
EOF
fi
